#ifndef RWSIM_TIMESDELTA_H
#define RWSIM_TIMESDELTA_H

#include "base.h"

namespace times {
    class DeltaDistribution final : public BaseDistribution {
    public:
        DeltaDistribution(double, std::mt19937_64&);
        explicit DeltaDistribution(std::mt19937_64 &rng);

        void initialize() override;
        void draw_tau() override;

        [[nodiscard]] std::string toString() const override;
    };
}
#endif //RWSIM_TIMESDELTA_H
